#ifndef TETRIS_H
#define TETRIS_H

#define TETRIS_MODE 4

#include <gai/gai.h>

#include "aquarium.h"
typedef struct
{
    int score;
    int level;
    int lines;
} Tetris_highscore_table;

Tetris_highscore_table *tetris_get_highscore_table_ptr(void);
void tetris_init(void);
void tetris_exit(void);
void tetris_start(void);
void tetris_end(void);
void tetris_update(void);
void tetris_keypress(int);
void tetris_joystick(GaiFlagsJoystick);

#endif
